:root {
    --blue: #3490dc;
    --indigo: #6574cd;
    --purple: #9561e2;
    --pink: #f66d9b;
    --red: #e3342f;
    --orange: #f6993f;
    --yellow: #ffed4a;
    --green: #38c172;
    --teal: #4dc0b5;
    --cyan: #6cb2eb;
    --white: #fff;
    --gray: #6c757d;
    --gray-dark: #343a40;
    --primary: #3490dc;
    --secondary: #6c757d;
    --success: #38c172;
    --info: #6cb2eb;
    --warning: #ffed4a;
    --danger: #e3342f;
    --light: #f8f9fa;
    --dark: #343a40;
    --smigiel: #47B3F4;
    --twitter: #00aeef;
    --facebook: #3a5998;
    --font_primary: #212529;
    --nav_gray: rgba(0, 0, 0, 0.6);
    --nav_white: #f8f8ff;
    --nav_black: rgba(0, 0, 0, 0.9);
}

html, body {
    background: url(https://zk-smigiel.pl/images/kolejka_bg.jpg) no-repeat fixed center;
}
body {
    color: var(--font_primary);
}

.a,
.a:hover {
    color: var(--smigiel);
}

a {
    text-decoration: none;
    background-color: transparent;
}

.text-secondary {
    color: #6c757d !important;
}

.text-info a,
.text-info a:hover,
.text-info a:focus,
a.text-info:hover,
a.text-info:focus,
.text-info {
    color: var(--smigiel) !important;
    text-decoration: none;
}

.navbar-light .navbar-nav .nav-link,
.navbar-light .navbar-text,
.navbar-light .navbar-toggler,
.navbar-nav .nav-link {
    color: var(--nav_white);
}

.navbar-light .navbar-nav .nav-link:hover,
.navbar-light .navbar-nav .nav-link:focus {
    color: white;
    font-weight: 500;
}

.navbar-light .navbar-brand,
.navbar-light .navbar-brand:hover,
.navbar-light .navbar-brand:focus,
.navbar-light .navbar-nav .active > .nav-link,
.navbar-light .navbar-nav .nav-link.show,
.navbar-light .navbar-nav .nav-link.active,
.navbar-light .navbar-text a,
.navbar-light .navbar-text a:hover,
.navbar-light .navbar-text a:focus {
    color: var(--nav_black);
}

.navbar-light .navbar-nav .show > .nav-link:hover {
    text-decoration: none;
    background-color: #f8f9fa;
}

.navbar.navbar-expand-lg.navbar-light {
    box-shadow: 0px 4px 4px -2px lightgrey;
    background-color: #38b6ff;
}

.btn-success a,
.btn-success a:hover,
.btn-primary a,
.btn-primary a:hover {
    color: white;
}

.search .btn-success {
    background-color: var(--smigiel);
    border-color: var(--smigiel);
}

.search .form-control {
    border: 1px solid lightgrey;
}

.social-buttons .twitter-share {
    background-color: var(--twitter);
    color: var(--white);
}

.social-buttons .facebook-share {
    background-color: var(--facebook);
    color: var(--white);
}

.post {
    border-bottom-color: lightgray;
}

.btn-download {
    color: white;
    background-color: var(--gray-dark);
}

.btn-download:focus,
.btn-download:hover {
  color: white;
  background-color: var(--gray);
}

.textwidget a {
    color: rgba(0, 84, 255, 1);
}

.dash-bar-elem {
    color: black;
}

.dropdown-item,
.nav-item {
    color: var(--gray-dark);
}

.card-login {
    box-shadow: 2px 2px 10px lightgrey !important;
}

.btn-login {
    background-color: var(--smigiel);
    color: var(--white);
}

.post-truncate .red-text {
    color: red;
}

.post-truncate .green-text {
    color: green;
}

.post-truncate .blue-text {
    color: blue;
}

.post-truncate .white-text {
    color: white;
}

.post-truncate .black-background {
    background-color: black;
}

.post-truncate .red-background {
    background-color: red;
}

.post-content {
    background-color: white;
}

table,
td,
th {
    border-color: darkgrey;
}

tr:nth-child(even) {
    background-color: #e6e6e6;
}

.invalid-feedback {
    color: #9e342f;
}

.was-validated .form-control:invalid,
.form-control.is-invalid {
    border-color: #9e342f;
}

.was-validated .form-control:invalid:focus,
.form-control.is-invalid:focus {
  border-color: #9e342f;
  box-shadow: 0 0 0 0.2rem #9e342f;
}
.attach-item {
    position: relative;
}
.attach-item > .border-attach {
    border-left: 1px solid var(--smigiel);
    border-bottom: 1px solid var(--smigiel);
    position: absolute;
    bottom: 0;
    left: 0;
    width: 25%;
    height: 75%;
}

@media (max-width: 991px) {
    .dropdown-item {
        border-top: 1px solid lightgray;
    }
    .nav-item {
        border-bottom: 1px solid lightgray;
    }
    .menu-top > .nav-item {
        border-top: unset;
    }
    .attach-item > .border-attach {
        width: 50%;
    }
}

.form-control::placeholder {
    color: #6c757d;
    opacity: 1;
}

.form-control::-webkit-input-placeholder {
    color: #6c757d;
    opacity: 1;
}

.form-control::-moz-placeholder {
    color: #6c757d;
    opacity: 1;
}

.form-control:-ms-input-placeholder {
    color: #6c757d;
    opacity: 1;
}

.form-control::-ms-input-placeholder {
    color: #6c757d;
    opacity: 1;
}

.btn-link {
    font-weight: 400;
    color: #3490dc;
    text-align: center;
    vertical-align: middle;
    text-decoration: none;
}

.btn-link:hover {
    color: #1d68a7;
    text-decoration: underline;
}

.btn-link:focus,
.btn-link.focus {
    text-decoration: underline;
    box-shadow: none;
}

.btn-link:disabled,
.btn-link.disabled {
    color: #6c757d;
    pointer-events: none;
}
